export type BeneficiaryTypeKey = 'HEIR' | 'SHAREHOLDER';
export interface BeneficiaryTypeProps {
    id: BeneficiaryTypeKey;
}
export interface BeneficiaryTypePrimitiveProps extends BeneficiaryTypeProps {
}
export default class BeneficiaryType {
    private props;
    constructor(props: BeneficiaryTypeProps);
    get id(): BeneficiaryTypeKey;
    get name(): "Unknown Name" | "Heir" | "Shareholder";
    get isHeir(): boolean;
    get isShareholder(): boolean;
    static fromPrimitives(props: BeneficiaryTypePrimitiveProps): BeneficiaryType;
    toPrimitives(): BeneficiaryTypePrimitiveProps;
}
